   This is the GiD FAQ

   Copyright 1997-1999 CIMNE

   TO USE THIS HELP:

     -Pick with left mouse button on colored item to go into it.
     -Use letters `p, n, u, l' as shortcuts for previous, next, up, last.
     -Use arrows `up' and `down' to go up and down in the page.
     -Use `Control-s' to make an incremental search.

   CN $Revision: 1.11 $ June 1999

General
*******

(1999-08-31).- What is GiD?
...........................

   GiD is a general purpose pre-postprocessor for computer analysis.
All the data, geometry and mesh generation can be performed inside.
Also, the visualization of all types of results can be performed. It is
easy customizable and adaptable by the final user.

   It can be adapted to an analysis by the creation of a 'problem
type'. In this problem type, it is explained to GiD how are the boundary
conditions, materials and al the information needed for the analysis. It
is also shown to GiD how is the format of the input file of the analysis
program.

   There is a second level of adaptation where, by the means of the
TCL-TK scripting language, it is possible to change the look and fell
of the program and add some functionality to it (until a certain point).

   You can get more information in http://gid.cimne.upc.es

Geometry modeling and file import
*********************************

   Questions about geometry, NURBS and modeling operations.

(2000-07-20).- Which are the interfaces with CAD systems?
.........................................................

   For geometries:

   * IGES (input and output)

   * VDA (input)

   * DXF (input and output)

   * PARASOLID (input)

   For meshes:

   * NASTRAN

   * STL

   * GiD format

   Other information can be entered by the means of a *batch file*.

(1999-06-29).- Does GiD support Super-surfaces?
...............................................

   It is not possible to do it inside GiD. We have recently added some
power to the structured meshing of NURBS surfaces (structured trimmed
surfaces, any number of boundary lines, etc), but we rely on the shape
of the original geometry. The idea of creating super-surfaces has been
considered for a long time and probably, one day it will be there. The
problem is that this approach give some difficulties to both, to the
development stage and to the final user. The meshing of these complex
surfaces would be more difficult and time consuming than the normal
one. In the other side, this is an additional complication for the end
user, because he must know of another GID capability.

   Basically, there are to approaches when meshing:

   * The user only controls mesh density and type of elements all
     around the domain.

   * The user also controls the general shape and orientation of the
      generated elements.

   The first approach can be made by GiD and is enough for most
applications. The second approach can be made partly, or with more human
effort inside GiD.

(1999-07-10).- Can GiD create multiple volumes at the same time?
................................................................

   Gid have a function to create automatic 6-sided volumes (Geometry
Create Volume Automatic Struct).

   The rest of the volumes must be created one by one.

   To add a hole to a volume, first create the general volume and the
volumes of the hole. Later use the option 'Hole' in the Create volume
function.

   Option `Search' in volume creation permmits to select one surface
and GiD tries to find one volume that contains this surface.

(2000-09-8).- How can a create 2D contacts?
...........................................

   To create a 2D contact the process is:

   * Create one side lines and put them in one layer.

   * Set another layer as active

   * Create another line that exactly duplicates the first one. Points
     must    be also duplicated (Typically using copy with translation
     0 and with    flag 'Duplicate entities' activated).

   * Set another layer as active

   * Create a contact surface selection the two lines or more at the
     same    time (if using copy, it has the option 'Create contacts').

   * Several element types can be generated in the contact (degenerated
       elements):
        - 2-noded elements (by default).

        - No elements (useful to force the same mesh in both sides)

        - Quadrilateral elements

   * Layer in this process have only been set for viewing and selecting
       purposes. In fact, they are not necessary.

   If 2-noded elements are meshed, later it is easy in the .bas file to
list them by pairs.

Mesh generation and data (boundary conditions, materials, etc)
**************************************************************

   Questions about mesh generation of any element types.

(2000-07-20).- Is it possible to extract information about boundary edges and faces?
....................................................................................

   If you need the boundary edges or the faces of surface elements or
volume elements you can do it in several ways:

   * Give a mesh criteria of type "mesh" to the lines or surfaces
     that are the boundaries of your surface or body. After
     generation, you will have linear or triangle or quadrilateral
     elements apart from the main ones.

   * Assign a condition "over face elems" or "over body elems" to the
     line or surface that is the boundary. You can then list thes faces
     in the '.bas' file.

(1999-06-29).- Do you have any plans to allow geometric information to be incorporated into the compilation files, so that mesh optimisation can be coupled to the solver?
..........................................................................................................................................................................

   There is now one feature in GiD (field #FUNC# in conditions
definition) that allows to write the number of every geometric entity
for every element in the mesh. Then, you can get the geometry with any
command like `write ASCII' and you have the relationship.

   To do remeshing, we plan in following versions to read a description
of the new mesh sizes by the means of a background mesh.

   To do optimisation of shapes is a more difficult problem. We are
thinking on several ways to do it. One of them would be that the solver
gave, as output, one description of the desired movement of the mesh
and then, apply this movement to the geometry. We would appreciate any
feedback that you can give to us.

(2000-07-20).- Can GiD generate 10-noded tetrehedra?
....................................................

   Version 6 supports 10-noded tetrahedra.

(1999-08-31).- Can GiD mesh complex structured volumes?
.......................................................

   Structured meshes can be done with complex surfaces but not with
complex volumes (they can only have 6 faces or surfaces). Probably, in
the near future we will add the same capabilities to the volumes that
we have now for the surfaces.

   The most powerful part of GiD for CFD analysis is the tetrahedra
mesh generation. It permits to concentrate elements near the object of
study (ship, plane or any other), and let them grow fast or slow.

(1999-08-31).- What methods are used to define element sizes?
.............................................................

   * The easiest meshing is defining a global size and small elements
     for features are automatically calculated.

   * User can define a cordal error (geometry - mesh error)

   * User can manually define sizes over geometrical entities. This
     sizes are automatically corrected to  allow meshing.

   * The transition between sizes is controlled by a factor that the
     user can define (Preferences->Meshing->Size trainsitions).

Postprocess
***********

(1999-08-31).- How can GiD read postprocess information?
........................................................

   GiD reads several files with postprocess info in a GiD-defined
format. As the information is really in a very easy format, your code
(or one interface program), should write the results of your analysis in
GiD postprocessing format. It is very easy to do it. Some people have
modified their code for GiD in 2-3 hours. The GiD postporcessing format
is defined in the reference manual and in the interactive help.

(2000-07-20).- Can GiD display results on Gauss points?
.......................................................

   With current version 5.0p47, it is not possible to visualize anything
in the Gauss points. You should apply one smoothing algorithm to your
variable to visualize it on the nodes.

   With version 6 it is possible to visualize results in Gauss points,
both in automatically calculated and introduced by the user.

   Gauss points are several points inside every element, that are used
to perform the integration quadrature necessary for the FEM. For this
reason, the main variable of the problem is obtained in the nodes and
the variables that need an integration of this, are obtained in these
Gauss Points.

   Current version can already read and display data in the Gauss
points. The possibilities are:
   * Linear (beam) elements: any number of points inside, equally
     distributed.

   * Triangle: 1,3,6 GP in standard positions.

   * Quadrilaterals: 1,4,9 GP in standard positions.

   * tetras: 1 GP

   * hexa: 1 GP

   *Note:* Standard positions means the positions of the cuadrature of
Gauss-Legendre. If your positions of the points is different, it is
also possible to introduce user-defined positions.

   One Smoothing algorithm is the one that, given one variable defined
on Gauss Points, calculates the value of this variable in every node of
the mesh. The easiest way to do this is, for every element, transport
with the shape functions the values to the nodes, and do the mean or one
weighted mean of the several values calculated for every node.

(2000-07-20).- For higher degree elements, can
..............................................

   results be visualized in the additional nodes?

   Current version can read higher degree elements but will display them
equal than if they were its simple version. For example, displaying
6-noded triangles is the same than displaying 3-noded triangles.

(1999-06-29).-I read the postprocess mesh with *mesh read*. Is it correct?
..........................................................................

   Instead of using "meshread", you shoud probably input inside the
postprocessor two files:

   * For the mesh, use either: test.flavia.msh or test.flavia.bon or
     test.flavia.dat

   * For the results use:  test.flavia.res

   Check the manual for the format.

   A second possibility is that the mesh file have the same GiD format
defined in the manual in "Mesh read".

   A third possibility is that, if the mesh is already in the
preprocess, it is necessary only the results file. It must have the name
MODEL.flavia.res and be inside the directory MODEL.gid In this case,
when going to posprocess this file is automatically read.

(1999-10-26).- In the postprocessing .res files, what happens with headers?
...........................................................................

   The name of the result must be 15 characters long. If it is shorter,
the remaining   space until 15 can be blanks.

(1999-10-26).- Could you provide me with a simple procedure to visualise a 3D velocity field with streamlines?
..............................................................................................................

   The easiest way to define a stream line in a 3D mesh is to select a
point by giving its coordinates. The stream line that goes through this
point is drawn. In the contextual menu there are other ways to select
several points at once. Tipically, a cut is made in the middle of the
volume mesh and the points are selected in the cut.

Export files
************

(2000-07-20).- How can GiD export the mesh and the boundary conditions, materials and so on?
............................................................................................

   It is possible to export the mesh and the boundary conditions just by
pressing one button (Files->Export->Write ascii). The problem is the
output format. Every calculations program has its own input format and
GiD is not prepared to know all these formats. The solution is one of:

   * Output from GiD in one format and make external conversion to
     another one.

   * Define or modify one GiD 'problemtype' to suit your needs. In this
     way, GiD will know what information should the user enter
     (boundary conditions, materials, ...), and GiD would write the
     calculations file in the exact format you need. We include several
     examples of problemtypes with the GiD instalation, to help people
     to develop their owns.

   * Wait until we define one standard output for the most
     importants FEM analysis codes (LS-DYNA3D, ANSYS, SYSNOISE,
     NASTRAN ...). This can take several months.

   * There are already interfaces with SAP90/2000 and a basic one to
     ANSYS. Contact CIMNE for further information.

   The second solution is the recommended one. Many times, a slight
modification in the 'problemtype' code by the user, can be made in
minutes and obtain very easily the desired files. To do so, check the
customization part in the help and check the 'problemtypes' given as a
example.

(1999-08-31).- Export to SAP90-SAP2000
......................................

   There is one especial 'problemtype' to connect GiD and SAP90-2000.
It is not included in the GiD distribution. It can be obtained as a
technical publication (one book). Contact CIMNE
`mailto:cimne@cimne.upc.es' for more information.

(2000-04-27).- What is a 'problem type'?
........................................

   To write data from GiD to a calculations program, it is necessary to
create a 'problem type' for it. It is quite easy to do. The first step
is to check one of the 'problem type' examples that are included in the
GiD distribution like 'problem_type_solid1.gid'. Studying it and
modifying accordingly to suit your needs you will get a GiD that can
write the files that your calculations code can read. Check also the
Help chapter: 'Customization'.

(1999-09-13).- Does GiD works for finite volumes?
.................................................

   Yes, It can work with either finite differences, finite elements,
finite volumes, meshless methods and others. In fact, as GiD only deals
with the geometric and mesh part, it does not mind the type of analysis
that will be made as long as it needs a mesh.

(2000-09-07).- How I could print in the calc file the number of the layer which an element belongs to?
......................................................................................................

   Layers information cannot be directly dumped into the output file.
Tipicallly, it is necessary to assign a material or a condition to the
elements that reflects this property. There are bassically two options:

   * User assigns a condition or material to the elements with a field
     that reflects the property that you are working with.

   * Perform the last step automatically.

   To do it automatically use the following:

   TCL function 'BeforeWriteCalcFileGIDProject', is executed just before
writing the calculations file. You can define this function in your
'problemtype'.tcl file and make it assign a condition to the entities
depending on the layers.

   TCL function 'AfterWriteCalcFileGIDProject' is executed just after
writing the calculations file.  You can clean up this condition if you
wish.

   TCL command '.central.s info layers'  gives you the layers of the
project.       TCL command '.central.s info layers -entities Elements'
returns the elements belonging to a layer.

   .central.s process escape escape data conditions assign cond CND
change VALUE layer:LAYER1

   would assign to condition CND with value VALUE all the entities
belonging to layer LAYER1.

GiD and the Operating System
****************************

   Specific questions about GiD in the different operating systems.

(2000-07-20).- I try to open GiD by the first time on MS Windows and it crashes
...............................................................................

   It is due, probably to the accelerated graphics card. Try to
disconnect it. Check Does GiD support 3D graphic cards?.

(1999-06-29).- What OS versions does GiD support?
.................................................

   We have currently versions only for: Silicon Graphics,
Win95/98/NT/2000, Digital alpha UNIX and Linux. Maybe in the future we
will have more versions for several machines. Everything depends on the
interest of the people.

(1999-06-29).- does GID works on SGI with IRIX 6.4 and 6.5?
...........................................................

   Yes

(1999-06-29).- Demonstration version on SGI possible ?
......................................................

   Yes. Check our web page: `http://gid.cimne.upc.es'

(1999-06-29).- Which are the requirement for one PC : 300 MHz or less or more?
..............................................................................

   GiD works in any pentium. Normally, the critical issue is the RAM
memory. It must be related to the size of the mesh to be generated. As
a rule of thumb, 32Mb for meshes of 30-40M elements or 512Mb for half a
million elements to one million or more.

(2000-07-20).- Does GiD-Windows support spaces on filenames?
............................................................

   Version 6 supports spaces on filenames. But it is advisable not to
include spaces in the model names because it can give problems in the
calculations process.

(1999-06-13).- Does GiD-Windows support spaces on machine names?
................................................................

   Version 6 supports spaces on machine names.

   Due to an interaction problem between GiD and Microsoft Windows,
machine names with spaces can not be used in version 5.0p47. In the
meantime, this problem can be avoided using a machine name without
spaces. After 5.0p49b this problem is be solved.

   *Note:* to change the machine name in the Windows95/98/NT/2000
system go to   the Windows start menu and follow the secuence:
         Start -> Settings -> Control panel -> Network

(1999-02-26).- How can I see MPEG files on my Microsoft Windows NT machine?
...........................................................................

   Just download the MediaPlayer
(`ftp://gid.cimne.upc.es/pub/drivers/windows/mpfull.exe') and install
it on your Microsoft Windows NT machine, or get it from Microsoft
(`http://www.microsoft.com/windows/mediaplayer/').

Input/output devices
********************

   Several devices that can be attached with GiD.

(2000-07-20).- Does GiD support 3D graphic cards?
.................................................

   The 3D graphic cards status:

   * In Windows95/NT, GiD can be accelerated by any 3D graphics card
     that supports OpenGL. The RivaTNT card is very fast and works
     correctly. It has some minor bugs about incorrect visualizations.

   * There is no 3D acceleration in Linux by now. We are working on
     this and there will be in the very close future.

   * In Silicon Graphics all the acceleration of their cards is used
     by GiD.

   Version 6 includes a feature to disconnect a graphics card that is
not working properly. Check the GiD config option in the MS Windows
start menu.

   *Note:* To disconnect a 3D graphics card that is not working
correctly in MS Windows, try to set up the MS Windows display to 256
colors.

(1999-06-29).- Does GiD support spaceballs?
...........................................

   GiD supports SPACEWARE spaceballs in SGI, Linux and
Windows95/98/NT/2000.

   To use it, just install the software given by SPACEWARE. To use it on
Linux see How can I use the Spaceball on my Linux Box with GiD?.

(1999-02-26).- How can I use the Spaceball on my Linux Box with GiD?
....................................................................

   Being root, create this symbolic link:
     ln -s /dev/cuaX /dev/spaceball

   with cuaX as the serial port where the SpaceBall is attached. And be
sure that this cuaX serial port has READ/WRITE permisions for all the
people ( User/Group/Others).

Buy GiD
*******

(2000-07-20).- Is the GiD version 6 license compatible with version 5 one?
..........................................................................

   No, As it is a complete new release, it is necessary to obtain a new
license for version 6. All the following version belonging to the GiD 6
series, will be password compatible with version 6.

(2000-07-20).- How much does GiD cost?
......................................

   For academic users, we have the academic version, which is totally
free and can be used for small meshes (700-3000 elements). For the
professional version, check the table below. When buying more than 5
licenses, some discounts may apply.

   The price for GiD is for one license computer. You can see in the
following table the different prices related to the computer and to the
type of license (July 2000):

                                     Corporate          Universities/research
                                     industrial         centers/individuals
                                     purchasers
Direct Internet Download (including  570 Euros          210 Euros
electronic version of user's manual)
Airmail order (including package     610 Euros          250 Euros
with CD-ROM and user manual booklet)
Version 6 upgrade                    95 Euros           55 Euros

   *Note:* Prices are for July 2000. This prices can change in any time.

   You can find more details in GiD web page: `http://gid.cimne.upc.es'
Also in this web page, you can download a version for testing and also
to obtain a test month password.

(1999-08-31).- Licenses policy
..............................

   GiD is licensed per one machine and platform basis. This means that
every machine should have its own license and that if one machine has
both, linux and WindowsNT, two licenses are required. For every machine
there can be as many users as desired using the program at the same
time.

   The unitary price per license is the same for two licenses. For more
than 5 licenses there are several discounts.

   There are two methods of payment: by FAX and by Internet & Credit
Card. Both of them are good and secure. Probably, by internet is a
little bit faster.

   Also, you can buy the complete kit with the manuals or just the
license. A good idea is to buy one complete kit and other licenses.

   Our general considerations about licenses is that if during the
first year of the purchase something happens, we give another license
to install GiD again. We are confident with the people and we trust the
costumer that the old license will no longer be used.

   The problem of dependency with the computer and the OS is totally
common. Any commercial program will have the same problem. The question
is: is it necessary to protect the programs? I'd love it was not
necessary.